# Stop writing to an address or number

`POST /crm/suppressions` · Rivier · contacts

Stop writing to an address or number.

- Scope: contacts:write
- Graphql: Mutation.contactsSuppressionAdd
- Sdk: contacts.suppression.add
- Cli: contacts suppression add

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "channel": {
      "type": "string",
      "enum": [
        "email",
        "sms",
        "whatsapp",
        "phone"
      ]
    },
    "value": {
      "type": "string",
      "minLength": 3,
      "maxLength": 320
    },
    "reason": {
      "type": "string",
      "enum": [
        "unsubscribed",
        "manual",
        "stop",
        "invalid"
      ],
      "default": "manual"
    }
  },
  "required": [
    "channel",
    "value"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/crm/suppressions' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "channel": "email",
  "value": "string"
}'
```
